Need to update Firefox

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

Need to update Firefox

Postby technogran on Fri Feb 08, 2008 6:27 am

Can someone help me please, after some recent updates, Firefox was updated but this version now keeps crashing (version 2.0.010) so I would like to update to either 2.0.0.12 or even version 3. How do I do this? Is there a deb for Mozilla available and if so what do I need to do, or how do I install a different version?

Thanks TG :?:
technogran
Level 1
Level 1
 
Posts: 4
Joined: Sun Jan 27, 2008 4:46 pm

Linux Mint is funded by ads and donations.
 

Re: Need to update Firefox

Postby Fornhamfred on Fri Feb 08, 2008 4:14 pm

Which version of Mint are you using? I am running Daryna and the latest version of Firefox in my repositories is 2.0.0.8. This version is very stable.

To remove the version you have, use the package manager in the system menu. When you first open it press the reload icon to update the repository. Go to the installed section and highlight the installed version of firefox and mark for removal. Then apply changes. When this has completed search for mozilla-firefox. Highlight the file and mark for installation and then apply. That should do the trick.

Good luck.
Fornhamfred
Level 6
Level 6
 
Posts: 1134
Joined: Wed Oct 31, 2007 3:38 pm
Location: Suffolk UK

Re: Need to update Firefox

Postby Pumalite on Fri Feb 08, 2008 5:41 pm

You can download the newest version from Firefox site to your Desktop: http://www.mozilla.com/en-US/firefox/
Then, at the Terminal:
cd ~/Desktop
tar xvzf firefox-2.0.0.12.tar.gz
cd firefox
./firefox
(make sure Firefox is closed)
Pumalite
Level 1
Level 1
 
Posts: 21
Joined: Thu Jun 28, 2007 11:03 pm

Re: Need to update Firefox

Postby technogran on Sat Feb 09, 2008 5:41 am

Pumalite, I tried your suggestion, have the 2.0.0.12.tar.gz on my desktop but when I enter the first line in terminal all I get is not found, so what now? What do I need to input in terminal in order to get the tar.gz installed?
technogran
Level 1
Level 1
 
Posts: 4
Joined: Sun Jan 27, 2008 4:46 pm

Re: Need to update Firefox

Postby technogran on Sat Feb 09, 2008 5:45 am

Pumalite wrote:You can download the newest version from Firefox site to your Desktop: http://www.mozilla.com/en-US/firefox/
Then, at the Terminal:
cd ~/Desktop
tar xvzf firefox-2.0.0.12.tar.gz
cd firefox
./firefox
(make sure Firefox is closed)
Please scrub my last post I was typing it in incorrectly, now worked (missed out the space before the ~!)

Thanks both of you for your help and yes it was version 0.8 but after doing some updates, it then became .10. I am running Darya KDE version
technogran
Level 1
Level 1
 
Posts: 4
Joined: Sun Jan 27, 2008 4:46 pm

Re: Need to update Firefox

Postby technogran on Sat Feb 09, 2008 8:48 am

Actually I thought that it had worked, but then when I loaded up Firefox, it was still 0.10 version!?? So have now installed Firefox 3 (which was available via adept) and uninstalled the nvidia driver via Envy, its this which is causing the crashes when scrolling pages in ANY browser.

TG :D Thanks for the help.
technogran
Level 1
Level 1
 
Posts: 4
Joined: Sun Jan 27, 2008 4:46 pm

Re: Need to update Firefox

Postby Rob Brill on Mon Feb 18, 2008 2:45 am

Hi

Mint Linux 4.0 Daryna
Firefox version is updated to version 2.0.0.12
Please read link below

http://it.slashdot.org/article.pl?sid=0 ... 5&from=rss

New version of firefox 2.0.0.12, vulnerable by default
The Mozilla Foundation does not make the correction yet. Lately i am getting tired of
firefox browser and its add-ons. It seems the priorities to the firefox developers team
are most focusing on Windows and Mac. Maybe my comments sound unfair and it can
be understand as a personal opinion. The real truth i feel insecure to surf with this
browser but with no tendency to paranoia

I hope Mint can have soon (software portal) a version of IceWeasel and IceDove because
Debian Gnu/Linux takes care of them

:wink:
Roberto
User avatar
Rob Brill
Level 4
Level 4
 
Posts: 391
Joined: Tue Feb 05, 2008 1:49 pm
Location: Global

Re: Need to update Firefox

Postby clem on Fri Feb 22, 2008 10:25 am

Hi,

Thanks for the feedback on this. We'll wait for Firefox to address this issue themselves if they decide to confirm it. They usually are fast in addressing known issues and if they believe this to be worth fixing I have no doubt that's what they will do.

Clem.
Image
User avatar
clem
Level 15
Level 15
 
Posts: 5545
Joined: Wed Nov 15, 2006 8:34 am

Re: Need to update Firefox

Postby Nibes on Fri Feb 22, 2008 11:01 am

Hello,

3 questions:
can't you update it with synaptic package manager?
About the vulnerabilities? (what are they?)
Ad-block-plus or No-script are those good add-ons to make Mozilla safer?

Thank you.
with a cup of Mint tea.
User avatar
Nibes
Level 1
Level 1
 
Posts: 27
Joined: Thu Feb 21, 2008 7:33 am
Location: Portugal

Linux Mint is funded by ads and donations.
 

Return to Newbie Questions

Who is online

Users browsing this forum: WesternSlope and 34 guests